Subject: [Megaco] TDMPW and MeGaCo/SDP

From: Javi <[email-masked]>
Date: Sat, 29 Jan 2011 02:13:27 +0100

Assuming the next situation:

ISDN Terminal 1  -   MG1 -  [IP network] -  MG2   -   ISDN Terminal 2

where the MGs (Media Gateway) are controlled by a MGC (Media Gateway 
Controller) via MeGaCo[H.248.1].

[ITU-T Y.2262 / Annex IV] proposses that MGs may transport ISDN 
B-channels over the IP network:

+ By a single RTP session (when monochannels ISDN services)

+ Or by TDMoIP (= UDP TDMPWs), when multichannels ISDN services.

How may MGC indicate to the MG that it uses PWs at the IP termination?

It may be done by MeGaCo, using SDP[RFC4566] at Local/Remote 
descriptors. However, how may be that SDP description of TDMPWs?

Thanks,

Javier Muñoz

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Mon, 31 Jan 2011 09:03:30 +0100

Note: the referred text relates to an Appendix ( = informativ), not to an Annex (= normativ). Thus, just examples, not mandatory.

Replies:
there are H.248 profile specifications with support support of monorate emulation, see e.g.

ETSI ES 283 024, Trunking Gateway
5.15.1.4        Clearmode codec
On IMS/NGN Terminations, Clearmode codec is transported according to RFC 4040 [15].
When the MGC determines that a 64 kbit/s unrestricted bearer service is requested, the clearmode codec shall be used. A Dynamic Payload type with CLEARMODE as encoding name shall be included in both the local and remote descriptor.
The behaviour of the TMGW shall then conform to RFC 4040 [15]. All voice and signal processing functions such as silence suppression, comfort noise insertion and gain adjustment shall be automatically turned off. The MG shall inherit the same QoS objectives as the ISDN bearer service.

However, there was never any H.248 Profile standardized with multirate support, at least to my knowledge.
(I'm aware of vendor specific profile, but that are proprietary solutions.)
-Albrecht

__
Y.2262 PSTN/ISDN emulation and simulation, Appendix IV
Examples of emulation of PSTN and N-ISDN bearer services
(This appendix does not form an integral part of this Recommendation)

Examples for the emulation of PSTN and N-ISDN bearer services are provided:

1) Monorate bearer services (= 1 × 64-kbit/s digital bearer in PSTN/ISDN)
* ITU-T Recommendations I.231.2 and I.231.3 may be emulated by a single RTP
session, with or without RTP control protocol (RTCP), using an RTP profile according
to IETF RFC 3551.
* ITU-T Recommendation I.231.1 may be emulated by a single RTP session, with or
without RTCP, using RTP clearmode according to IETF RFC 4040.

2) Multirate bearer services (= N × 64-kbit/s digital bearer in PSTN/ISDN; N greater than one)
* ITU-T Recommendations I.231.4 to I.231.10 may be emulated by TDMoIP described
in ITU-T Recommendation Y.1453.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Javi
> Sent: Samstag, 29. Januar 2011 02:13
> To: [email-masked]
> Subject: [Megaco] TDMPW and MeGaCo/SDP
>
> [ITU-T Y.2262 / Annex IV] proposses that MGs may transport
> ISDN B-channels over the IP network:
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/megaco
>

---

From: Javi <[email-masked]>
Date: Mon, 31 Jan 2011 11:47:25 +0100

I agree, TDMoIP is an option only.

But, if it is used, MGC would use SDP at Local/Remote MeGaCo 
descriptors. How may be that SDP description for TDMoIP?

> However, there was never any H.248 Profile standardized with 
> /*multirate*/ support, at least to my knowledge.

I would be interested to know any of that proprietary solutions. May you 
indicate me any?

>
> __
> /*Y.2262 PSTN/ISDN emulation and simulation, Appendix IV
> *(This appendix does not form an integral part of this Recommendation)
>
> . ITU-T Recommendations I.231.2 and I.231.3 may be emulated by a 
> single RTP
> . ITU-T Recommendation I.231.1 may be emulated by a single RTP 
> session, with or
> . ITU-T Recommendations I.231.4 to I.231.10 may be emulated by TDMoIP 
> described
> /

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Mon, 31 Jan 2011 16:54:29 +0100

Just some high-level indications:

Multirate means effectively N-out-of-K (with K = 24 or 30 dependent on ANSI /ETSI markets; and 1 < N <= K).
That's a first requirement.
Secondly, the selection of channels may be random, they must not be in consecutive order (e.g., think about the permutations for N = 5).
Thirdly, there could be a dependency of the choosen CESoIP emulation service to the H.248 connection model.

Possible solution: H.248 MUX termination ... at the high-level ...

________________________________
From: Javi [mailto:[email-masked]]
Sent: Montag, 31. Januar 2011 11:47
To: [email-masked]
Subject: Re: [Megaco] TDMPW and MeGaCo/SDP

But, if it is used, MGC would use SDP at Local/Remote MeGaCo descriptors. How may be that SDP description for TDMoIP?

I would be interested to know any of that proprietary solutions. May you indicate me any?

__

> From: [email-masked]<mailto:[email-masked]>
> To: [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>